Module com.io7m.jregions.core
Package com.io7m.jregions.core.parameterized.areas

## Class PAreaYSplitBI<S,T extends PAreaBIType<S>>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.areas.PAreaYSplitBI<S,T>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
    `T` - The precise type of area
  All Implemented Interfaces:
    `PAreaYSplitBIType<S,T>`

      public final class PAreaYSplitBI<S,T extends PAreaBIType<S>>
      extends java.lang.Object
      implements PAreaYSplitBIType<S,T>

  An area that has been split via the Y axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PAreaYSplitBI.Builder<S,T extends PAreaBIType<S>>` | Builds instances of type `PAreaYSplitBI`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <S,T extends PAreaBIType<S>> PAreaYSplitBI.Builder<S,T>` | `builder​()` | Creates a builder for `PAreaYSplitBI`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `PAreaYSplitBI` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `lower`, `upper`.
    `T` | `lower​()` |
    `static <S,T extends PAreaBIType<S>> PAreaYSplitBI<S,T>` | `of​(T lower, T upper)` | Construct a new immutable `PAreaYSplitBI` instance.
    `java.lang.String` | `toString​()` | Prints the immutable value `PAreaYSplitBI` with attribute values.
    `T` | `upper​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lower

          public T lower​()

      Specified by:
        `lower` in interface `PAreaYSplitBIType<S,T extends PAreaBIType<S>>`
      Returns:
        The lower half

    - #### upper

          public T upper​()

      Specified by:
        `upper` in interface `PAreaYSplitBIType<S,T extends PAreaBIType<S>>`
      Returns:
        The upper half

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `PAreaYSplitBI` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `lower`, `upper`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `PAreaYSplitBI` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S,T extends PAreaBIType<S>> PAreaYSplitBI<S,T> of​(T lower,
                                                                           T upper)

      Construct a new immutable `PAreaYSplitBI` instance.
      Parameters:
        `lower` - The value for the `lower` attribute
        `upper` - The value for the `upper` attribute
      Returns:
        An immutable PAreaYSplitBI instance

    - #### builder

          public static <S,T extends PAreaBIType<S>> PAreaYSplitBI.Builder<S,T> builder​()

      Creates a builder for `PAreaYSplitBI`.
      Type Parameters:
        `S` - generic parameter S
        `T` - generic parameter T
      Returns:
        A new PAreaYSplitBI builder

Copyright © 2017 <code@io7m.com> http://io7m.com